枭毅API枭毅API
API ReferenceAI Applications
AI Model APIVideosSeedance Format

Create Seedance Video Task via Generic Video API

Use /v1/video/generations to submit Seedance video tasks.

POST /v1/video/generations is New API's generic video task endpoint. When using Seedance model names in the request, New API forwards to Seedance channel following Seedance parameter rules.

POST
/v1/video/generations

Authorization

BearerAuth
AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/video/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "dreamina-seedance-2-0-fast-260128",    "prompt": "A small kitten chasing a butterfly in a sunny garden",    "duration": 5,    "size": "720p"  }'
{
  "id": "task_xxx",
  "task_id": "task_xxx",
  "object": "video",
  "model": "dreamina-seedance-2-0-fast-260128",
  "status": "queued",
  "progress": 0,
  "created_at": 1779348046
}

How is this guide?